## mypy 1.8.0

=== debian/changelog ===
mypy (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: remove sphinx_7 which upstream merged.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Dec 2023 18:42:00 +0100

mypy (1.7.1-3) unstable; urgency=medium

  * Missed a test fix for the Debian-specific typeshed advice.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Dec 2023 21:17:15 +0100

mypy (1.7.1-2) unstable; urgency=medium

  * d/rules: Build fixes for mips64el (and hppa) courtesy of Adrian
    Bunk.
  * d/patches/hint-typeshed-package: mention the python3-typeshed Debian
    package, when appropriate. Thanks to Markus Demleitner <msdemlei@fsfe.org>
    for the suggestion (Closes: #1043266).

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Dec 2023 12:47:14 +0100

mypy (1.7.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Nov 2023 19:16:19 +0100

mypy (1.7.0-3) unstable; urgency=medium

  * r/rules: skip compiling using mypyc on riscv64.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 16 Nov 2023 15:58:40 +0100

mypy (1.7.0-2) unstable; urgency=medium

  * d/rules: drop armhf down to -O1 due to persistant out of memory
    errors on the buildbots.
  * d/rules: reduce build-time gcc debugging level (to "-g1") for all 32-bit
    archs.
  * d/rules: try again to compile using mypyc on riscv64 and mips64el.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Nov 2023 19:37:41 +0100

mypy (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches/sphinx_7: fix for newer Sphinx.
  * d/rules: skip two tests that don't expect the docutils types we pull in
             as part of python3-typeshed, and the PEP561Suite due to needing
             internet access to PyPI

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Nov 2023 11:26:34 +0100

=== debian/control ===
Source: mypy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: utils
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               pybuild-plugin-pyproject,
               python3-wheel,
               flake8,
               help2man,
               python3-all,
               python3-lxml,
               python3-attr <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-sphinx <!nodoc>,
               furo <!nodoc>,
               python3-typeshed,
               python3-psutil,
               python3-mypy-extensions,
               python3-typing-extensions,
               python3-virtualenv <!nocheck>,
               python3-typeshed <!nocheck>,
               python3-all-dev,
               python3-tomli,
               python3-venv <!nocheck>,
               python3-doc <!nodoc>,
               cython-doc <!nodoc>,
               python-six-doc <!nodoc>,
               python-setuptools-doc <!nodoc>,
               python-attr-doc <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
Homepage: https://www.mypy-lang.org/
Rules-Requires-Root: no

Package: mypy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-mypy (>= ${binary:Version})
Recommends: python3-typeshed
Suggests: mypy-doc
Description: optional static typing for Python
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the command-line interface.

Package: mypy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-doc,
          cython-doc,
          python-six-doc,
          python-setuptools-doc,
          python-attr-doc
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for mypy
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: python3-mypy
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-mypy-extensions,
         python3-psutil,
         python3-pkg-resources
Recommends: python3-lxml,
            python3-setuptools
Description: public modules for mypy (Python 3)
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_DESTDIR_python3=debian/python3-mypy
export PYBUILD_NAME=mypy
PY3VERS=$(shell py3versions -vr)

include /usr/share/dpkg/pkg-info.mk
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	WITH += --with sphinxdoc
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
  export MYPYC_OPT_LEVEL=2
else ifneq (,$(filter $(DEB_BUILD_ARCH),armhf hppa))
  export MYPYC_OPT_LEVEL=1
endif
ifeq ($(DEB_HOST_ARCH_BITS), 32)
  export DEB_CFLAGS_MAINT_APPEND += -g1
  export DEB_CXXFLAGS_MAINT_APPEND += -g1
endif
ifneq (,$(filter $(DEB_HOST_ARCH),mips64el))
  export DEB_CFLAGS_MAINT_APPEND += -mxgot
endif

%:
	dh $@ $(WITH) --buildsystem=pybuild

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
manpages: debian/sphinx/mypy_options.rst debian/sphinx/stubgen_options.rst debian/dmypy.1 debian/mypy.1 debian/stubgen.1
else
manpages:
endif

debian/%.1: debian/sphinx/%.rst debian/sphinx/%_options.rst
	sphinx-build -N -b man debian/sphinx debian $<

# create an empty file to simplify the makefile logic
debian/sphinx/dmypy_options.rst:
	touch $@

debian/sphinx/mypy_options.rst: docs/source/command_line.rst
	sed 's,The .* command line,OPTIONS,g' $< > $@

debian/sphinx/stubgen_options.rst: docs/source/stubgen.rst
	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@

override_dh_auto_build-arch:
ifneq (,$(filter $(DEB_BUILD_ARCH), riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
	MYPY_USE_MYPYC=0 dh_auto_build
else
	MYPY_USE_MYPYC=1 dh_auto_build
endif

override_dh_auto_build-indep: manpages
	MYPY_USE_MYPYC=0 dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif


override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
	rm -rf debian/.doctrees
	rm -f  debian/sphinx/dmypy_options.rst
	rm -f  debian/sphinx/mypy_options.rst
	rm -f  debian/sphinx/stubgen_options.rst
endif

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=mypy --sourcedir=debian/python3-mypy usr/bin
	rm -Rf debian/python3-mypy/usr/bin

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	export TEST_MYPYC=1
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m mypy \
		--config-file {dir}/mypy_self_check.ini -p mypy" dh_auto_test
	dh_auto_install
	set -e; for v in $(PY3VERS); do \
		PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n auto \
		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not (testCustomTypeshedDirWithRelativePathDoesNotCrash or testNoPython3StubAvailable or testIgnoreImportIfNoPython3StubAvailable or PEP561Suite)' \
		-o python_classes= -o python_functions= ; \
	done
	# testIgnoreImportIfNoPython3StubAvailable fails due to scribe not being installed (it isn't packaged for Debian)
	# testNoPython3StubAvailable no longer work because python3-typeshed includes docutils types, which it isn't expecting
	# PEP561Suite due to needing internet access to pypi.org
endif

override_dh_auto_test-indep:
	echo No tests to run for the "mypy" package, only for "python3-mypy"

.PHONY: manpages

## mypy 1.9.0

=== debian/changelog ===
mypy (1.9.0-4ubuntu1) noble; urgency=medium

  * Drop versioned dependencies on python3-pytest (>= 8.1.0),
    not yet available in Noble
  * Skip tests failing with older pytest

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Apr 2024 09:51:56 +0000

mypy (1.9.0-4) unstable; urgency=medium

  * d/{tests/,}control: Pin the minimum version of pytest
  * d/rules: try MYPYC_MULTI_FILE=1 on weaker archs instead of other
    build tricks.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Mar 2024 07:45:33 +0100

mypy (1.9.0-3) unstable; urgency=medium

  * Added patch to fix FTBFS with Pytest 8.1+

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Mar 2024 16:52:29 +0100

mypy (1.9.0-2) unstable; urgency=medium

  * d/patches/typing_extensions_4.10.path: cherry-pick from upstream.
    Closes: #1065805.
  * d/control: pin minimum version of the typing_extensions dependency to 4.10

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 14:37:18 +0100

mypy (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches.
  * d/upstream/metadata: link to the changelog.
  * d/patches/self_check.patch: cherry-picked from upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Mar 2024 09:33:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mypy
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: utils
 Testsuite: autopkgtest-pkg-python
@@ -14,6 +15,7 @@
                python3-all,
                python3-lxml,
                python3-attr <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nodoc>,
@@ -21,7 +23,7 @@
                python3-typeshed,
                python3-psutil,
                python3-mypy-extensions,
-               python3-typing-extensions,
+               python3-typing-extensions (>= 4.10.0),
                python3-virtualenv <!nocheck>,
                python3-typeshed <!nocheck>,
                python3-all-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
+export PYBUILD_DISABLE=test
 export PYBUILD_DESTDIR_python3=debian/python3-mypy
 export PYBUILD_NAME=mypy
 PY3VERS=$(shell py3versions -vr)
@@ -12,14 +13,8 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/default.mk
 
-ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
-  export MYPYC_OPT_LEVEL=2
-else ifneq (,$(filter $(DEB_BUILD_ARCH),armhf hppa))
-  export MYPYC_OPT_LEVEL=1
-endif
-ifeq ($(DEB_HOST_ARCH_BITS), 32)
-  export DEB_CFLAGS_MAINT_APPEND += -g1
-  export DEB_CXXFLAGS_MAINT_APPEND += -g1
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
+  export MYPYC_MULTI_FILE=1
 endif
 ifneq (,$(filter $(DEB_HOST_ARCH),mips64el))
   export DEB_CFLAGS_MAINT_APPEND += -mxgot
@@ -48,11 +43,7 @@
 	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@
 
 override_dh_auto_build-arch:
-ifneq (,$(filter $(DEB_BUILD_ARCH), riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
-	MYPY_USE_MYPYC=0 dh_auto_build
-else
 	MYPY_USE_MYPYC=1 dh_auto_build
-endif
 
 override_dh_auto_build-indep: manpages
 	MYPY_USE_MYPYC=0 dh_auto_build

=== debian/tests/control ===
Tests: run-unit-test
Depends: gcc,
         @,
         python3-dev,
         python3-lxml,
         python3-pytest,
         python3-pytest-xdist,
         python3-setuptools,
         python3-tomli,
         python3-typeshed (>= 0.0~git20221107.4f381af),
         python3-virtualenv
Restrictions: allow-stderr

## mypy 1.10.0

=== debian/changelog ===
mypy (1.10.0-1) unstable; urgency=medium

  * New upstream version
  * Remove patches applied upstream: self_check, typing_extensions_4.10, pytest8
  * d/patches/intersphinx: updated path for cython3 & six docs
  * d/control: mypy-doc, bump suggests to recommends

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 24 Apr 2024 17:13:26 +0300

## mypy 1.10.1

=== debian/changelog ===
mypy (1.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 03:16:18 +0200

## mypy 1.11.0

=== debian/changelog ===
mypy (1.11.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed intersphinx patch to link to the local docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 10:04:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mypy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: utils
 Testsuite: autopkgtest-pkg-python
@@ -15,7 +14,7 @@
                python3-all,
                python3-lxml,
                python3-attr <!nocheck>,
-               python3-pytest <!nocheck>,
+               python3-pytest (>= 8.1.0) <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nodoc>,
@@ -62,11 +61,11 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Suggests: python3-doc,
-          cython-doc,
-          python-six-doc,
-          python-setuptools-doc,
-          python-attr-doc
+Recommends: python3-doc,
+            cython-doc,
+            python-six-doc,
+            python-setuptools-doc,
+            python-attr-doc
 Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation for mypy
  Add type annotations to your Python programs, and use mypy to type check them.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-export PYBUILD_DISABLE=test
 export PYBUILD_DESTDIR_python3=debian/python3-mypy
 export PYBUILD_NAME=mypy
 PY3VERS=$(shell py3versions -vr)

## mypy 1.11.1

=== debian/changelog ===
mypy (1.11.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 15:20:23 +0200

## mypy 1.13.0

=== debian/changelog ===
mypy (1.13.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed the patches
  * recommend python3-orjson for a faster cache

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Oct 2024 17:12:46 +0200

mypy (1.12.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 21 Oct 2024 08:49:07 +0200

mypy (1.12.0-1) unstable; urgency=medium

  * New upstream version supports Python 3.13. Closes: #1081617
  * d/control: docs now need python3-myst-parser
  * d/control: adjust python dev build-deps to be more crossbuild
    friendly.
  * d/control: add some minimum versions to the {build-,}deps
  * d/control: drop python3-pkg-resources dependency, it is unneeded.
    Closes: #1083500

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 14 Oct 2024 14:06:23 +0200

mypy (1.11.2-3) unstable; urgency=medium

  * d/rules: adjust build flags for mips64el

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 11:27:22 +0200

mypy (1.11.2-2) unstable; urgency=medium

  * d/tests/run-unit-test: also run the mypyc tests
  * d/tests/run-unit-test: skip some tests that are not runnable post-
    installation.
  * d/tests/control: need g++ for mypyc tests

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 04 Sep 2024 15:09:45 +0200

mypy (1.11.2-1) unstable; urgency=medium

  * New upstream version
  * d/patches: removed the patches that were cherry-picked from upstream
    that are now apart of the new release.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 09:31:14 +0900

mypy (1.11.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:55:57 +0200

mypy (1.11.1-2~0exp1) experimental; urgency=medium

  * d/rules: compile with less debugging on i386 to avoid running out of
    virtual memory.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 12:46:40 +0200

mypy (1.11.1-2~0exp0) experimental; urgency=medium

  * d/patches: cherry-pick 3 patches from upstream to fix a regression
    found in SQLalchemy
  * d/rules: add "-Wno-misleading-indentation" as there are too many
    lines of autogenerated code to care about such a thing.
  * Include snapshot of the sphinx objects from monkeytype.org, updated
    intersphinx patch to use them to generate valid links to those external
    docs.
  * Silence many lintian warnings that have been reported upstream
  * Also build the mypyc docs
  * d/rules: compile with a normal debugging level: -g2
  * Simplify the nodoc logic

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Aug 2024 15:51:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-setuptools,
                pybuild-plugin-pyproject,
                python3-wheel,
                flake8,
                help2man,
                python3-all,
-               python3-lxml,
+               python3-lxml (>= 4.9.1),
                python3-attr <!nocheck>,
                python3-pytest (>= 8.1.0) <!nocheck>,
                python3-pytest-xdist <!nocheck>,
@@ -21,18 +22,21 @@
                furo <!nodoc>,
                python3-typeshed,
                python3-psutil,
-               python3-mypy-extensions,
+               python3-mypy-extensions (>= 1.0.0),
                python3-typing-extensions (>= 4.10.0),
                python3-virtualenv <!nocheck>,
                python3-typeshed <!nocheck>,
-               python3-all-dev,
+               python3-all-dev:native,
+               libpython3-all-dev,
                python3-tomli,
                python3-venv <!nocheck>,
                python3-doc <!nodoc>,
                cython-doc <!nodoc>,
                python-six-doc <!nodoc>,
                python-setuptools-doc <!nodoc>,
-               python-attr-doc <!nodoc>
+               python-attr-doc <!nodoc>,
+               python3-myst-parser <!nodoc>,
+               python3-orjson [!i386] <!nocheck>,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
@@ -83,11 +87,11 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-mypy-extensions,
-         python3-psutil,
-         python3-pkg-resources
-Recommends: python3-lxml,
-            python3-setuptools
+         python3-mypy-extensions (>= 1.0.0),
+         python3-psutil
+Recommends: python3-lxml (>= 4.9.1),
+            python3-setuptools,
+            python3-orjson [!i386]
 Description: public modules for mypy (Python 3)
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many

=== debian/rules ===
--- 
+++ 
@@ -5,22 +5,24 @@
 PY3VERS=$(shell py3versions -vr)
 
 include /usr/share/dpkg/pkg-info.mk
-ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	WITH += --with sphinxdoc
-endif
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/default.mk
 
-ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf mips64el hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
   export MYPYC_MULTI_FILE=1
 endif
-ifneq (,$(filter $(DEB_HOST_ARCH),mips64el))
-  export DEB_CFLAGS_MAINT_APPEND += -mxgot
+
+export DEB_CFLAGS_MAINT_APPEND += -Wno-misleading-indentation
+
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 x32))
+  export MYPYC_DEBUG_LEVEL=1
+else
+  export MYPYC_DEBUG_LEVEL=2
 endif
 
 %:
-	dh $@ $(WITH) --buildsystem=pybuild
+	dh $@  --buildsystem=pybuild
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 manpages: debian/sphinx/mypy_options.rst debian/sphinx/stubgen_options.rst debian/dmypy.1 debian/mypy.1 debian/stubgen.1
@@ -48,23 +50,28 @@
 	MYPY_USE_MYPYC=0 dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
+	PYTHONPATH=$(CURDIR) $(MAKE) -C mypyc/doc html
+	mv mypyc/doc/_build/html mypyc/doc/_build/mypyc
 endif
 
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	$(MAKE) -C docs clean
+	$(MAKE) -C mypyc/doc clean
 	rm -rf debian/.doctrees
 	rm -f  debian/sphinx/dmypy_options.rst
 	rm -f  debian/sphinx/mypy_options.rst
 	rm -f  debian/sphinx/stubgen_options.rst
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	dh_movefiles --package=mypy --sourcedir=debian/python3-mypy usr/bin
 	rm -Rf debian/python3-mypy/usr/bin
+	find debian -name LICENSE -delete
+
+execute_after_dh_python3:
+	rm -rf debian/python3-mypy/usr/lib/python3/dist-packages/mypyc/doc/
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
@@ -86,4 +93,7 @@
 override_dh_auto_test-indep:
 	echo No tests to run for the "mypy" package, only for "python3-mypy"
 
+download_remote_intersphinx_inventories:
+	curl https://monkeytype.readthedocs.io/en/latest/objects.inv -o debian/intersphinx/monkeytype_objects.inv
+
 .PHONY: manpages

=== debian/tests/control ===
Tests: run-unit-test
Depends: gcc, g++,
         @,
         python3-dev,
         python3-lxml,
         python3-pytest (>= 8.1.0),
         python3-pytest-xdist,
         python3-setuptools,
         python3-tomli,
         python3-orjson [!i386],
         python3-typeshed (>= 0.0~git20221107.4f381af),
         python3-virtualenv
Restrictions: allow-stderr

## mypy 1.14.1

=== debian/changelog ===
mypy (1.14.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 01 Jan 2025 19:18:35 -0800

mypy (1.14.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: update build-depends, remove python3-wheel.
  * Refreshed patches
  * d/source/lintian-overrides: unneeded, removed
  * testing: skip testDaemonStatusKillRestartRecheck

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 20 Dec 2024 19:46:11 -0800

mypy (1.13.0-2) unstable; urgency=medium

  * Team upload.
  * drop Depends: python3-orjson on arches alongside i386 where it is
    not available (rust is not available) [!alpha !hppa !m68k !sh4 !x32]
    See Bug#1087727. Closes: #1087661, #1087662.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Nov 2024 19:57:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                dh-sequence-sphinxdoc <!nodoc>,
                python3-setuptools,
                pybuild-plugin-pyproject,
-               python3-wheel,
                flake8,
                help2man,
                python3-all,
@@ -28,7 +27,7 @@
                python3-typeshed <!nocheck>,
                python3-all-dev:native,
                libpython3-all-dev,
-               python3-tomli,
+               python3-tomli <!nocheck>,
                python3-venv <!nocheck>,
                python3-doc <!nodoc>,
                cython-doc <!nodoc>,
@@ -36,8 +35,8 @@
                python-setuptools-doc <!nodoc>,
                python-attr-doc <!nodoc>,
                python3-myst-parser <!nodoc>,
-               python3-orjson [!i386] <!nocheck>,
-Standards-Version: 4.6.2
+               python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
 Homepage: https://www.mypy-lang.org/
@@ -91,7 +90,7 @@
          python3-psutil
 Recommends: python3-lxml (>= 4.9.1),
             python3-setuptools,
-            python3-orjson [!i386]
+            python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32]
 Description: public modules for mypy (Python 3)
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many

=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 	dh_auto_install
 	set -e; for v in $(PY3VERS); do \
 		PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n auto \
-		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not (testCustomTypeshedDirWithRelativePathDoesNotCrash or testNoPython3StubAvailable or testIgnoreImportIfNoPython3StubAvailable or PEP561Suite)' \
+		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not (testCustomTypeshedDirWithRelativePathDoesNotCrash or testNoPython3StubAvailable or testIgnoreImportIfNoPython3StubAvailable or PEP561Suite or testDaemonStatusKillRestartRecheck)' \
 		-o python_classes= -o python_functions= ; \
 	done
 	# testIgnoreImportIfNoPython3StubAvailable fails due to scribe not being installed (it isn't packaged for Debian)

## mypy 1.15.0

=== debian/changelog ===
mypy (1.15.0-5) unstable; urgency=medium

  * Team upload.
  * Replace old typing_extensions imports in tests (closes: #1101856).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Apr 2025 18:08:15 +0100

mypy (1.15.0-4) unstable; urgency=medium

  * Team upload.
  * Unset CFLAGS when running tests (closes: #1098578).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 16:40:29 +0000

mypy (1.15.0-3) unstable; urgency=medium

  * Added patch to fix the Python3.12 build with gcc-15. Closes:
    #1097426

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Feb 2025 01:40:12 +0100

mypy (1.15.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add hurd-amd64 to list of architectures that use the multifile option

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 17 Feb 2025 08:18:50 +0100

mypy (1.15.0-2) unstable; urgency=medium

  [ Mattias Ellert ]
  * d/patches/gnu-hurd-getsockname: Address failing tests on GNU/Hurd
    - https://github.com/python/mypy/pull/18630
    (Closes: #1095420)
  * d/rules: Fix x32 build by using multifile option
  * d/rules: Use multifile option for all architectures that require reduced
    memory usage during compilation for consistency
    - i386 was using reduced the debug level instead
    - hurd-i386 was using both, which was an overkill
    - x32 was intending to use reduced debug level, but DEB_HOST_ARCH_CPU
      on x32 is amd64 so the filter did not match

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 11 Feb 2025 16:07:42 +0100

mypy (1.15.0-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 05 Feb 2025 08:50:46 +0100

mypy (1.15~rc0.2-1) experimental; urgency=medium

  * d/rules: added a build profile extension: pkg.mypy.multifile to speed up
    compilation by enabling MYPYC_MULTI_FILE=1 even on architectures where
    we don't normally do that.
  * d/rules: added a build profile extension: pkg.mypy.o1 to speed up
    compilation by enabling MYPYC_OPT_LEVEL=1 → -O1 instead of -O3
  * d/rules: enable building the python extensions in parallel, respecting
    DEB_BUILD_OPTIONS.
  * d/salsa-ci.yml: Enable both of the speed-up build profiles to hopefully
    finish the build within the 3 hour limit.
  * Snapshot from upstream for experimental
    https://github.com/python/mypy/commit/23d862dd6fbb905a69bcb31e88746dc7a1eb4a43
  * Refreshed the patches
  * d/control: added build-dependency on python3-sphinx-inline-tabs for
    the docs
  * mypyc: Install googletest and lib-rt/{setup.py,*.cc} to the correct locations.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 24 Jan 2025 10:21:23 +0100

mypy (1.14.1-3) unstable; urgency=medium

  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing. Unbreaks the build on hurd-* where
    psutil does not work.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Jan 2025 09:24:57 +0100

mypy (1.14.1-2) unstable; urgency=medium

  * d/rules: Applied patch from Samuel Thibault to fix FTBFS on hurd-i386.
    Closes: #1093423

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 16:30:17 +0100

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
                python-setuptools-doc <!nodoc>,
                python-attr-doc <!nodoc>,
                python3-myst-parser <!nodoc>,
+               python3-sphinx-inline-tabs <!nodoc>,
                python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy

=== debian/tests/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
          python3-pytest-xdist,
          python3-setuptools,
          python3-tomli,
-         python3-orjson [!i386],
+         python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32],
          python3-typeshed (>= 0.0~git20221107.4f381af),
          python3-virtualenv
 Restrictions: allow-stderr

## mypy 1.16~rc0.1

=== debian/changelog ===
mypy (1.16~rc0.1-1) experimental; urgency=medium

  * New upstream snapshot: https://github.com/python/mypy/commit/
    334469f999c5c777124a123062b4349614447e0d
  * d/patches: drop 3 patches applied upstream: 0005-pythoncapi_compat-
    don-t-define-Py_NULL-if-it-is-alre, gnu-hurd-getsockname, replace-
    old-typing_extensions-imports
  * d/control: new build requirement: python3-pathspec

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 28 May 2025 13:42:43 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-all,
                python3-lxml (>= 4.9.1),
                python3-attr <!nocheck>,
+               python3-pathspec,
                python3-pytest (>= 8.1.0) <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,

## mypy 1.17.1

=== debian/changelog ===
mypy (1.17.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Aug 2025 15:09:14 +0200

mypy (1.17.1-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Aug 2025 13:38:57 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                python3-myst-parser <!nodoc>,
                python3-sphinx-inline-tabs <!nodoc>,
                python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
 Homepage: https://www.mypy-lang.org/

## mypy 1.18.1

=== debian/changelog ===
mypy (1.18.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: cleanup. applied fix for :unnecessary greater-than
    versioned dependency: python3-lxml (>= 4.9.1). Debian has
    oldoldstable -> 4.6.3+dfsg-0.1+deb11u1; oldstable -> 4.9.2-1+b1;
    stable -> 5.4.0-1; unstable -> 6.0.1-1; testing -> 6.0.1-1;
  * Refreshed patches
  * Set upstream metadata fields: Documentation.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Sep 2025 12:06:23 +0200

## mypy 1.18.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Mypy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Mypy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Mypy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Mypy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== mypyc/external/googletest/make/Makefile ===
# A sample Makefile for building Google Test and using it in user
# tests.  Please tweak it to suit your environment and project.  You
# may want to move it to your project's root directory.
#
# SYNOPSIS:
#
#   make [all]  - makes everything.
#   make TARGET - makes the given target.
#   make clean  - removes all files generated by make.

# Please tweak the following variable definitions as needed by your
# project, except GTEST_HEADERS, which you can use in your own targets
# but shouldn't modify.

# Points to the root of Google Test, relative to where this file is.
# Remember to tweak this if you move this file.
GTEST_DIR = ..

# Flags passed to the preprocessor.
# Set Google Test's header directory as a system directory, such that
# the compiler doesn't generate warnings in Google Test headers.
CPPFLAGS += -isystem $(GTEST_DIR)/include

# Flags passed to the C++ compiler.
CXXFLAGS += -g -Wall -Wextra -pthread -fPIC

# All Google Test headers.  Usually you shouldn't change this
# definition.
GTEST_HEADERS = $(GTEST_DIR)/include/gtest/*.h \
                $(GTEST_DIR)/include/gtest/internal/*.h

# House-keeping build targets.

all : libgtest.a libgtest_main.a

clean :
	rm -f libgtest.a libgtest_main.a *.o

# Builds libgtest.a and libgtest_main.a.

# Usually you shouldn't tweak such internal variables, indicated by a
# trailing _.
GTEST_SRCS_ = $(GTEST_DIR)/src/*.cc $(GTEST_DIR)/src/*.h $(GTEST_HEADERS)

# For simplicity and to avoid depending on Google Test's
# implementation details, the dependencies specified below are
# conservative and not optimized.  This is fine as Google Test
# compiles fast and for ordinary users its source rarely changes.
gtest-all.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c \
            $(GTEST_DIR)/src/gtest-all.cc

gtest_main.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c \
            $(GTEST_DIR)/src/gtest_main.cc

libgtest.a : gtest-all.o
	$(AR) $(ARFLAGS) $@ $^

libgtest_main.a : gtest-all.o gtest_main.o
	$(AR) $(ARFLAGS) $@ $^

=== debian/changelog ===
mypy (1.18.2-2) unstable; urgency=medium

  * Team upload.
  * Normalize HTML content-type meta (closes: #1120242).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Nov 2025 18:32:44 +0000

mypy (1.18.2-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Sep 2025 13:24:28 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,23 +2,26 @@
 export DH_VERBOSE=1
 export PYBUILD_DESTDIR_python3=debian/python3-mypy
 export PYBUILD_NAME=mypy
-PY3VERS=$(shell py3versions -vr)
+PY3VERS=$(shell py3versions -vs)
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-include /usr/share/dpkg/default.mk
 
-ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf mips64el hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf mips64el hppa riscv64 mipsel alpha ia64 m68k powerpc sh4 sparc64 hurd-i386 i386 x32 hurd-amd64))
+  export MYPYC_MULTI_FILE=1
+endif
+
+ifneq ($(filter pkg.mypy.multifile,$(DEB_BUILD_PROFILES)),)
   export MYPYC_MULTI_FILE=1
 endif
 
 export DEB_CFLAGS_MAINT_APPEND += -Wno-misleading-indentation
 
-ifneq (,$(filter $(DEB_HOST_ARCH),i386 x32))
-  export MYPYC_DEBUG_LEVEL=1
-else
-  export MYPYC_DEBUG_LEVEL=2
+export MYPYC_DEBUG_LEVEL=2
+
+ifneq ($(filter pkg.mypy.o1,$(DEB_BUILD_PROFILES)),)
+  export MYPYC_OPT_LEVEL=1
 endif
 
 %:
@@ -44,7 +47,9 @@
 	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@
 
 override_dh_auto_build-arch:
-	MYPY_USE_MYPYC=1 dh_auto_build
+	echo "[build_ext]\nparallel=$(DEB_BUILD_OPTION_PARALLEL)\n" > $(CURDIR)/debian/extra-setup.cfg
+	DIST_EXTRA_CONFIG=$(CURDIR)/debian/extra-setup.cfg MYPY_USE_MYPYC=1 dh_auto_build
+	rm $(CURDIR)/debian/extra-setup.cfg
 
 override_dh_auto_build-indep: manpages
 	MYPY_USE_MYPYC=0 dh_auto_build
@@ -81,7 +86,7 @@
 		--config-file {dir}/mypy_self_check.ini -p mypy" dh_auto_test
 	dh_auto_install
 	set -e; for v in $(PY3VERS); do \
-		PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n auto \
+		env -u CFLAGS PYTHONPATH=$$(pybuild --print build_dir --pyver $$v | awk '{ print $$3 }') PATH=$$PATH:$(CURDIR)/debian/python3-mypy/usr/bin/ python$$v -m pytest -n $(DEB_BUILD_OPTION_PARALLEL) \
 		-o testpaths="mypy/test mypyc/test" -o python_files=test*.py -k 'not (testCustomTypeshedDirWithRelativePathDoesNotCrash or testNoPython3StubAvailable or testIgnoreImportIfNoPython3StubAvailable or PEP561Suite or testDaemonStatusKillRestartRecheck)' \
 		-o python_classes= -o python_functions= ; \
 	done

=== debian/tests/control ===
Tests: run-unit-test
Depends: gcc, g++,
         @,
         python3-dev,
         python3-attr,
         python3-lxml,
         python3-pytest (>= 8.1.0),
         python3-pytest-xdist,
         python3-setuptools,
         python3-tomli,
         python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32],
         python3-typeshed (>= 0.0~git20221107.4f381af),
         python3-virtualenv,
         python3-all-venv
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mypy/mypy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mypy 1.19.0

=== debian/changelog ===
mypy (1.19.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh the "verbose" patch
    drop "normalize-html-content-type-meta", it was applied upstream
  * d/control: new build-dep, python3-librt

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 28 Nov 2025 19:38:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                flake8,
                help2man,
                python3-all,
-               python3-lxml (>= 4.9.1),
+               python3-librt (>= 0.6.2),
+               python3-lxml,
                python3-attr <!nocheck>,
                python3-pathspec,
                python3-pytest (>= 8.1.0) <!nocheck>,
@@ -37,7 +38,7 @@
                python-attr-doc <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-sphinx-inline-tabs <!nodoc>,
-               python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>,
+               python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32] <!nocheck>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mypy.git
@@ -90,7 +91,7 @@
          ${shlibs:Depends},
          python3-mypy-extensions (>= 1.0.0),
          python3-psutil
-Recommends: python3-lxml (>= 4.9.1),
+Recommends: python3-lxml,
             python3-setuptools,
             python3-orjson [!i386 !alpha !hppa !m68k !sh4 !x32]
 Description: public modules for mypy (Python 3)
